org.apache.hadoop.hdfs.inotify

## Class Event.RenameEvent

- java.lang.Object
- - org.apache.hadoop.hdfs.inotify.Event
  - - org.apache.hadoop.hdfs.inotify.Event.RenameEvent

- Enclosing class:
    Event

      @InterfaceAudience.Public
      public static class Event.RenameEvent
      extends Event

  Sent when a file, directory, or symlink is renamed.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Event.RenameEvent.Builder`

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.hdfs.inotify.Event

      `Event.AppendEvent, Event.CloseEvent, Event.CreateEvent, Event.EventType, Event.MetadataUpdateEvent, Event.RenameEvent, Event.TruncateEvent, Event.UnlinkEvent`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDstPath()`
    `String` | `getSrcPath()`
    `long` | `getTimestamp()` The time when this event occurred, in milliseconds since the epoch.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.hdfs.inotify.Event

      `getEventType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSrcPath

          public String getSrcPath()

    - #### getDstPath

          public String getDstPath()

    - #### getTimestamp

          public long getTimestamp()

      The time when this event occurred, in milliseconds since the epoch.

    - #### toString

          @InterfaceStability.Unstable
          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.